rgw not responding after receiving SIGHUP signal.

08/07/2017 02:52 PM - Zongyou Yao

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: luminous Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

rgw not responding to user's request after receiving SIGHUP signal. Here is the thread backtrace result:

the signal thread:

Thread 610 (Thread 0x7f15b34ff700 (LWP 1988202)):

#0  0x00007f1706b38ef7 in pthread_join () from /lib64/libpthread.so.0

#1  0x00007f171191e4a0 in Thread::join (this=this@entry=0x7f17235efa00, prval=prval@entry=0x0) at /usr/src/debug/ceph-11.2.0-4

gf658c05/src/common/Thread.cc:173

#2  0x00007f171189b178 in stop_thread<RGWUserStatsCache::UserSyncThread> (this=<optimized out>, pthr=0x7f17251aba70) at

/usr/s

rc/debug/ceph-11.2.0-4-gf658c05/src/rgw/rgw_quota.cc:518

#3  stop (this=0x7f17251ab910) at /usr/src/debug/ceph-11.2.0-4-gf658c05/src/rgw/rgw_quota.cc:560

#4  RGWUserStatsCache::~RGWUserStatsCache (this=0x7f17251ab910, _in_chrg=<optimized out>) at

/usr/src/debug/ceph-11.2.0-4-gf6

58c05/src/rgw/rgw_quota.cc:537

#5  0x00007f171189b372 in ~RGWQuotaHandlerImpl (this=0x7f17251ab840, __in_chrg=<optimized out>) at

/usr/src/debug/ceph-11.2.0

4-gf658c05/src/rgw/rgw_quota.cc:822

#6  RGWQuotaHandlerImpl::~RGWQuotaHandlerImpl (this=0x7f17251ab840, __in_chrg=<optimized out>) at

/usr/src/debug/ceph-11.2.0-4

-gf658c05/src/rgw/rgw_quota.cc:822

#7  0x00007f1711734690 in RGWRados::finalize (this=0x7f171b796000) at

/usr/src/debug/ceph-11.2.0-4-gf658c05/src/rgw/rgw_rados.

cc:3275

#8  0x00007f17116dd3cf in RGWStoreManager::close_storage (store=0x7f171b796000) at

/usr/src/debug/ceph-11.2.0-4-gf658c05/src/r

gw/rgw_rados.cc:12915

#9  0x00007f1711696238 in RGWRealmReloader::reload (this=0x7fffd8d6e0f0) at

/usr/src/debug/ceph-11.2.0-4-gf658c05/src/rgw/rgw

realm_reloader.cc:88

#10 0x00007f17115f7319 in Context::complete (this=0x7f1725791ba0, r=<optimized out>) at /usr/src/debug/ceph-11.2.0-4-gf658c05/

src/include/Context.h:70

#11 0x00007f1711904bd4 in SafeTimer::timer_thread (this=0x7fffd8d6e108) at

/usr/src/debug/ceph-11.2.0-4-gf658c05/src/common/Ti

mer.cc:105

#12 0x00007f171190660d in SafeTimerThread::entry (this=<optimized out>) at

/usr/src/debug/ceph-11.2.0-4-gf658c05/src/common/Ti

mer.cc:38

#13 0x00007f1706b37dc5 in start_thread () from /lib64/libpthread.so.0

#14 0x00007f170539874d in clone () from /lib64/libc.so.6
Thread 1219 (Thread 0x7f16e1f5c700 (LWP 2087659)):

#0  0x00007f1706b3ba82 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0

#1  0x00007f17118989c2 in WaitUntil (when=..., mutex=..., this=0x7f17235efa90) at /usr/src/debug/ceph-11.2.0-4-gf658c05/src/co

mmon/Cond.h:72

#2  WaitInterval (interval=..., mutex=..., cct=<optimized out>, this=0x7f17235efa90) at /usr/src/debug/ceph-11.2.0-4-gf658c05/

src/common/Cond.h:81

#3  RGWUserStatsCache::UserSyncThread::entry (this=0x7f17235efa00) at

/usr/src/debug/ceph-11.2.0-4-gf658c05/src/rgw/rgw_quota.

cc:469

#4  0x00007f1706b37dc5 in start_thread () from /lib64/libpthread.so.0

#5  0x00007f170539874d in clone () from /lib64/libc.so.6

Related issues:

Copied to rgw - Backport #20962: luminous: rgw not responding after receiving... Resolved

History

#1 - 08/08/2017 04:40 PM - Yuri Weinstein

merged https://github.com/ceph/ceph/pull/16854

#2 - 08/08/2017 05:04 PM - Matt Benjamin

- Status changed from New to Pending Backport

- Backport set to luminous

#3 - 08/09/2017 06:32 PM - Nathan Cutler

- Copied to Backport #20962: luminous: rgw not responding after receiving SIGHUP signal. added

#4 - 08/24/2017 03:41 AM - Kefu Chai

- Status changed from Pending Backport to Resolved
